Bug 1322396 - [RFE] Allow for deletion of group when users belong to another group
Summary: [RFE] Allow for deletion of group when users belong to another group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.4.0
Hardware: All
OS: All
high
medium
Target Milestone: GA
: 5.7.3
Assignee: lgalis
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:miqldap:extrernalauth
Depends On: 1264967
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-30 12:26 UTC by John Prause
Modified: 2020-08-13 08:25 UTC (History)
12 users (show)

Fixed In Version: 5.7.3.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1264967
Environment:
Last Closed: 2017-06-28 14:57:56 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 4 Harpreet Kataria 2016-10-03 17:31:19 UTC
Pivotal story: https://www.pivotaltracker.com/story/show/131568585

Comment 7 CFME Bot 2017-05-24 18:11:04 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/6dd942b66aa0f67a74acfc181ddd3c293bd8fdb7

commit 6dd942b66aa0f67a74acfc181ddd3c293bd8fdb7
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Wed May 24 13:48:04 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed May 24 14:05:39 2017 -0400

    Merge pull request #15041 from lgalis/allow_not_empty_group_deletion
    
    Allow deletion of groups with users belonging to other groups
    (cherry picked from commit 828b50b82e5a7dedb2394e4db942bf1357360e6c)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1322396

 app/models/miq_group.rb            | 13 ++++++++-
 spec/models/miq_group_spec.rb      | 54 +++++++++++++++++++++++++++++++++-----
 spec/models/miq_widget_set_spec.rb |  2 +-
 3 files changed, 60 insertions(+), 9 deletions(-)

Comment 8 Matt Pusateri 2017-06-12 18:56:51 UTC
I just tested this with 5.7.3.1 box and external auth configured for AD. When deleting a group a got an infini-spinny and then eventually it timed out I think. I then refreshed the page and the group was still there. This box was updated to a RHEL 7.4 Nightly to test a bug regarding SSSD and group to SID mapping. I'll test further with a stock release version and more authentication configurations.

Comment 9 Matt Pusateri 2017-06-12 19:06:53 UTC
I had to reload the page twice, and then I could get it to delete. Weird.

Comment 10 Matt Pusateri 2017-06-15 20:10:19 UTC
Verified on 5.7.3.1 with a patched sssd rpm.  Tested against MIQLDAP (FreeIPA, AD) and External Auth (FreeIPA, AD)  All successfully deleted.

Comment 12 errata-xmlrpc 2017-06-28 14:57:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.